
*******************************************************************.
** Identification des upi en activit principale (upiap).
*******************************************************************.
GET
  FILE='C:\Users\MBA\Documents\Consutation CONGO\Mission Apurement21\Phase 2\DataINT\Phase1RDC.sav'.

*sel if site ge 51.

sel if any(ap3_cat,6,7).

if (ap3_cat=6) typupi=1.
if (ap3_cat=7) typupi=2

val lab typupi 1"Patrons" 2"TCP".

compute emploi = 1.
 if ap6_nin=1 & ap8c1_ct=1 emploi=0.
 *if ap6_nin=1 & ap8c1_ct=2 then emploi=1.
 *if ap6_nin=2 & ap8c1_ct=1 then emploi=1.
 *if ap6_nin=2 & ap8c1_ct=2 then emploi=1.

val lab emploi 1"upi exerce en activit principale" 2"upi exerce en activit secondaire".

rename variables (m3_sexe =sexe).
rename variables (m4_age = age).
rename variables (m5_lien = parente).
rename variables (m8a_trib=tribu).
rename variables (m13b_ens=scolarite).
rename variables (ap2_bran=branche).
rename variables (ap3_cat=statut).
rename variables (ap5_nbre=taille).
rename variables (ap7_loca=local).
rename variables (ap6_nin=nuid).
rename variables (ap8c1_ct=compta).

rename variables (site=numsite).
rename variables (nu_indiv=individu).


sel if emploi = 1.

sort cases by numsite menage individu emploi.

 save outfile='C:\Users\MBA\Documents\Consutation CONGO\Mission Apurement21\Phase 2\DataINT\BaseUPI1c.SAV'
		/keep numsite menage individu emploi sexe age parente tribu scolarite branche
		         statut taille local nuid compta typupi ponder3 ponder3b pool prov milieu .


*******************************************************************.
** Identification des upi en activit secondaire (upias).
******************************************************************.

GET
  FILE='C:\Users\MBA\Documents\Consutation CONGO\Mission Apurement21\Phase 2\DataINT\Phase1RDC.sav'.

*sel if site ge 51.

sel if any(as4_cat,6,7).


if (as4_cat=6) typupi=1.
if (as4_cat=7) typupi=2

val lab typupi 1"Patrons" 2"TCP".

compute emploi = 2.
if as7d_nin=1 & as11a_cp=1 emploi=0.

val lab emploi 1"upi exerce en activit principale" 2"upi exerce en activit secondaire".

rename variables (m3_sexe =sexe).
rename variables (m4_age = age).
rename variables (m5_lien = parente).
rename variables (m8a_trib=tribu).
rename variables (m13b_ens=scolarite).
rename variables (as3_bran=branche).
rename variables (as4_cat=statut).
rename variables (as6_nbp=taille).
rename variables (as8_loca=local).
rename variables (as7d_nin=nuid).
rename variables (as11a_cp=compta).

rename variables (site=numsite).
rename variables (nu_indiv=individu).

sel if emploi = 2.

sort cases by numsite menage individu emploi.

 save outfile='C:\Users\MBA\Documents\Consutation CONGO\Mission Apurement21\Phase 2\DataINT\BaseUPId.SAV'
		/keep numsite menage individu emploi sexe age parente tribu scolarite branche
		         statut taille local nuid compta typupi ponder3 ponder3b pool prov milieu .


*******************************************************************.
** Cration de la base de sondage des UPI.
******************************************************************.

add files file= 'C:\Consutation CONGO\Mission Apurement21\Phase 2\DataINT\BaseUPI1a.SAV'
	/file= 'C:\Consutation CONGO\Mission Apurement21\Phase 2\DataINT\BaseUPI2b.SAV'
           /by site menage nu_indiv emploi.
exe.

recode branche
 (0111 thru 0530 = 01)
 (4510 thru 4550 = 02)
 (1711 thru 1920 = 03)
 (1511 thru 1552 = 04)
 (1000 thru 1433 = 05)
 (1600 = 05)
 (2010 thru 4100 = 05)
 (5050 = 06)
 (5240 thru 5259 = 06)
 (5010  = 07)
 (5030  = 07)
 (5110 thru 5239 = 07)
 (5020,5022  = 08)
 (5040,5261  = 08)
 (5260  = 08)
 (5510 thru 5522 = 09)
 (6010 thru 6420 = 10)
 (6511 thru 9900 = 11) INTO branc11a.

fre branc11a.

var lab branc11a "Nomenclature des branches d'activits agrges  11 branches".
val lab branc11a
01   "Agriculture, chasse, sylviculture et pche"	
02   "Btiments et Travaux publics"	
03   "Confections, cuirs et chaussures"	
04   "Fabrication de produits alimentaires et boissons"
05   "Autres industries"	
06   "Commerce de dtail hors magasin"	
07   "Commerce de gros et de dtail en magasin"	
08   "Service de rparation"	
09   "Service des htels et restaurants"	
10   "Service de transport et communication"	
11   "Autres services".

recode branc11a 
(01 thru 01 = 1) 
(02 thru 05 = 2)
(06 thru 07 = 3)
(08 thru 11 = 4) into Branc5a.

var lab branc5a "Nomenclature des branches d'activits agrges  5 branches".
val lab branc5a
1   "Agriculture, chasse, sylviculture et pche" 
2   "Industrie et BTP"
3   "Commerce"
4   "Service".

*TABLES
  /FTOTAL= T2 "Total" T1 "Total"
  /TABLE=bran11 + T2 BY emploi > ( typupi + T1)
  /STATISTICS count( typupi( F5.0 )).

*TABLES
  /FTOTAL= T2 "Total" T1 "Total"
  /TABLE=bran11 + T2 BY typupi + T1
  /STATISTICS count( typupi( F5.0 )).

sort cases by site menage nu_indiv emploi.

save outfile='C:\Consutation CONGO\Mission Apurement21\Phase 2\DataINT\BaseUPI.SAV' .


**********Identification des UPI du milieu Urbain (Villes et Cits).

GET
  FILE='C:\Users\MBA\Documents\Consutation CONGO\Mission Apurement21\Phase 2\DataINT\UPIP1.sav'.

sel if any(milieu,1,2).
exe.


TABLES
  /FTOTAL= T2 "Total" T1 "Total"
  /TABLE=bran11 + T2 BY emploi > ( typupi + T1)
  /STATISTICS count( typupi( F5.0 )).

TABLES
  /FTOTAL= T2 "Total" T1 "Total"
  /TABLE=bran11 + T2 BY typupi + T1
  /STATISTICS count( typupi( F5.0 )).


compute idupi= emploi + 10*individu + 1000*menage + 100000*numsite.
exe.

sel if any(milieu,1,2).
exe.

compute phase1=1.
exe.

compute unique = sum(phase1,phase).
fre unique.

recode a1
 (0111 thru 0530 = 01)
 (4510 thru 4550 = 02)
 (1711 thru 1920 = 03)
 (1511 thru 1552 = 04)
 (1000 thru 1433 = 05)
 (1600 = 05)
 (2010 thru 4100 = 05)
 (5050 = 06)
 (5240 thru 5259 = 06)
 (5010  = 07)
 (5030  = 07)
 (5110 thru 5239 = 07)
 (5020  = 08)
 (5040  = 08)
 (5260  = 08)
 (5510 thru 5522 = 09)
 (6010 thru 6420 = 10)
 (6511 thru 9900 = 11) INTO branc11.

var lab branc11 "Nomenclature des branches d'activits agrges  11 branches".
val lab branc11
01   "Agriculture, chasse, sylviculture et pche"	
02   "Btiments et Travaux publics"	
03   "Confections, cuirs et chaussures"	
04   "Fabrication de produits alimentaires et boissons"
05   "Autres industries"	
06   "Commerce de dtail hors magasin"	
07   "Commerce de gros et de dtail en magasin"	
08   "Service de rparation"	
09   "Service des htels et restaurants"	
10   "Service de transport et communication"	
11   "Autres services".

recode branc11 
(01 thru 01 = 1) 
(02 thru 05 = 2)
(06 thru 07 = 3)
(08 thru 11 = 4) into Branc4.

var lab branc4 "Nomenclature des branches d'activits agrges  5 branches".
val lab branc4
1   "Agriculture, chasse, sylviculture et pche" 
2   "Industrie et BTP"
3   "Commerce"
4   "Service".

compute chgt=1.
if (A1<>branche) chgt=2.
exe.
fre chgt.

compute bidon=(chgt=2).
filter by bidon.
cro tab branc11 by s1.
filter off.

