
*CHAPITRE 5 SUR LE SECTEUR INFORMEL ET L'ETAT.

GET
  FILE='C:\Users\MBA\Documents\Consutation CONGO\Mission Apurement21\Phase 2\NOUVEAU\Phase2UPIA.sav'.

sort case by idupi.

recode s4 (sysmis=0).

sel if s4 = 0 and any(s1,1,2).

wei by pond32b.

compute nid=100*(a3da1=1).
compute regisco=100*(a3db1=1).
compute paten=100*(a3dc1=1).
compute cartprof=100*(a3dd1=1).
compute affil=100*(a3de1=1).

compute reg1=(a3da1=1).
compute reg2=(a3db1=1).
compute reg3=(a3dc1=1).
compute reg4=(a3dd1=1).
compute reg5=(a3de1=1).

compute reg = sum (reg1, reg2, reg3, reg4, reg5).

recode reg (0=0) (1=1) (2 thru hi=2) into regt.

var lab regt "Nombre de registres".
val lab regt 0"Aucun enregis" 1"Un enregis" 2"Deux enregis et plus".
var lab nid"Possde un N d'identification nationale".
var lab regisco"Possde un registre de commerce".
var lab paten"Possde une patente".
var lab cartprof"Possde une carte professionnelle".
val lab affil"Possde un N d'affiliation INSS".

recode a3da1 (2=1) into nnid.
recode a3db1 (2=1) into nregisco.
recode a3dc1 (2=1) into npaten.
recode a3dd1 (2=1) into ncartprof.
recode a3de1 (2=1) into naffil.

val lab nnid 1"Ne possde pas de N d'identification nationale".
val lab nregisco 1"Ne possde pas de registre de commerce".
val lab npaten 1"Ne possde pas une patente".
val lab ncartprof 1"Ne possde pas une carte professionnelle".
val lab naffil 1"Ne possde pas un N d'affiliation INSS".

exe.

**************************************** TABLEAUX 5.1 : 'ENREGISTREMENT DES UPI DANS LES REGISTRES *************************************.

TABLES 
obs nid regisco paten cartprof affil
  /FTOTAL= Ensemble 
   /FTOTAL= RDC
  / TABLE= nid +regisco +paten +cartprof+affil by region + RDC 
/STATISTICS  mean(nid) mean(regisco) mean(paten) mean(cartprof) mean(affil)  
/title "Tableau 5.1 : Taux d'enregistrement des units de production informelles par rgion".


TABLES
  /FTOTAL= Ensemble 
  / TABLE=region>nnid by a3da2 + Ensemble 
  /STATISTICS  cpct(a3da2 :nnid,region) 
  /TABLE=region>nregisco by a3db2 + Ensemble
  /STATISTICS  cpct(a3db2 :nregisco,region)
  /TABLE=region>npaten by a3dc2 + Ensemble
  /STATISTICS  cpct(a3dc2 :npaten,region)
  /TABLE=region>ncartprof by a3dd2 + Ensemble
  /STATISTICS  cpct(a3dd2 :ncartprof,region)
  /TABLE=region>naffil by a3de2 + Ensemble
  /STATISTICS  cpct(a3de2 :naffil,region)
  /title "Tableau 5.2: Raisons de non enregistrement des units de production informelles par rgion (en % des UPI) et region".

TABLES
  /FTOTAL= Ensemble 
  / TABLE=nnid by a3da2 + Ensemble 
  /STATISTICS  cpct(a3da2 :nnid) 
  /TABLE=nregisco by a3db2 + Ensemble
  /STATISTICS  cpct(a3db2 :nregisco)
  /TABLE=npaten by a3dc2 + Ensemble
  /STATISTICS  cpct(a3dc2 :npaten)
  /TABLE=ncartprof by a3dd2 + Ensemble
  /STATISTICS  cpct(a3dd2 :ncartprof)
  /TABLE=naffil by a3de2 + Ensemble
  /STATISTICS  cpct(a3de2 :naffil)
  /title "Tableau 5.2: Raisons de non enregistrement des units de production informelles par rgion (en % des UPI) et region".

TABLES
  /FTOTAL= $t000009 "Total" $t000010 "Total"
  /TABLE=region > ( regt + $t000009  )  BY Branc4 + $t000010
  /STATISTICS  count( Branc4( F5.0 )).

TABLES
  /FTOTAL= $t000009 "Total" $t000010 "Total"
  /TABLE=( regt + $t000009  )  BY Branc4 + $t000010
  /STATISTICS  count( Branc4( F5.0 )).



**************************************** Tableau 2 et 3*************************************.

compute pbetat=100*(d5a0=1).

means pbetat by region by branc4
/cell mean.

filter by pbetat.

TABLES
  /FTOTAL= $t000011 "Total" $t000012 "Total"
  /TABLE=region > ( Branc4 + $t000011  )  BY D5B + $t000012
  /STATISTICS  cpct( D5B( F5.1 ) 'Row %':region Branc4 ).

TABLES
  /FTOTAL= $t000011 "Total" $t000012 "Total"
  /TABLE=( Branc4 + $t000011  )  BY D5B + $t000012
  /STATISTICS  cpct( D5B( F5.1 ) 'Row %': Branc4 ).

means d5c1 d5c2  by region by branc4
/cell mean.

filter off.

**************************************** Tableau 4*************************************.


compute adm=100*(g30 eq 1).
compute payim=100*(g32a eq 1).


means adm payim by region by branc4
/cell mean.

TABLES
  /FTOTAL= $t000011 "Total" $t000012 "Total"
  /TABLE=region > ( Branc4 + $t000011  )  BY g31 + $t000012
  /STATISTICS  cpct( g31 ( F5.1 ) 'Row %':region Branc4 ).

TABLES
  /FTOTAL= $t000011 "Total" $t000012 "Total"
  /TABLE=( Branc4 + $t000011  )  BY g31 + $t000012
  /STATISTICS cpct( g31 ( F5.1 ) 'Row %': Branc4 ).

**************************************** PREPARTION Tableau 5*************************************.


TABLES
  /FTOTAL= $t000011 "Total" $t000012 "Total"
  /TABLE=region > ( Branc4 + $t000011  )  BY g32b + $t000012
  /STATISTICS  cpct( g32b ( F5.1 ) 'Row %':region Branc4 ).

TABLES
  /FTOTAL= $t000011 "Total" $t000012 "Total"
  /TABLE=( Branc4 + $t000011  )  BY g32b + $t000012
  /STATISTICS cpct( g32b ( F5.1 ) 'Row %': Branc4 ).


TABLES
  /FTOTAL= $t000011 "Total" $t000012 "Total"
  /TABLE=region > ( Branc4 + $t000011  )  BY g32c + $t000012
  /STATISTICS  cpct( g32c ( F5.1 ) 'Row %':region Branc4 ).

TABLES
  /FTOTAL= $t000011 "Total" $t000012 "Total"
  /TABLE=( Branc4 + $t000011  )  BY g32c + $t000012
  /STATISTICS cpct( g32c ( F5.1 ) 'Row %': Branc4 ).


means g32d by region by branc4
/cell mean.


**************************************** PREPARTION Tableau 6*************************************.


TABLES
  /FTOTAL= $t000011 "Total" $t000012 "Total"
  /TABLE=region > ( Branc4 + $t000011  )  BY g33 + $t000012
  /STATISTICS  cpct( g33 ( F5.1 ) 'Row %':region Branc4 ).

TABLES
  /FTOTAL= $t000011 "Total" $t000012 "Total"
  /TABLE=( Branc4 + $t000011  )  BY g33 + $t000012
  /STATISTICS cpct( g33 ( F5.1 ) 'Row %': Branc4 ).


TABLES
  /FTOTAL= $t000011 "Total" $t000012 "Total"
  /TABLE=region > ( Branc4 + $t000011  )  BY g34 + $t000012
  /STATISTICS  cpct( g34 ( F5.1 ) 'Row %':region Branc4 ).

TABLES
  /FTOTAL= $t000011 "Total" $t000012 "Total"
  /TABLE=( Branc4 + $t000011  )  BY g34 + $t000012
  /STATISTICS cpct( g34 ( F5.1 ) 'Row %': Branc4 ).


